Download it now!
Bug 136133 - LibreOffice crash with GetInvolved and Donate infobar
Summary: LibreOffice crash with GetInvolved and Donate infobar
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
7.0.0.3 release
Hardware: All All
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:7.1.0 target:7.0.2
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2020-08-26 06:26 UTC by guser
Modified: 2020-08-28 15:16 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
bt with debug symbols (3.76 KB, text/plain)
2020-08-26 08:43 UTC, Julien Nabet
Details
bt with debug symbols (second case) (3.62 KB, text/plain)
2020-08-26 09:06 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description guser 2020-08-26 06:26:42 UTC
When set Donate property to false value in /org.openoffice.Office.UI.Infobar/Enabled and LastTimeDonateShow with 1 in /org.openoffice.Setup/Product (Expert Configuration), LibreOffice crash.
Comment 1 guser 2020-08-26 06:58:25 UTC
Same issue with GetInvolved = false and LastTimeGetInvolved = 1.
Comment 2 Julien Nabet 2020-08-26 08:43:22 UTC
Created attachment 164702 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 3 Julien Nabet 2020-08-26 09:06:09 UTC
Created attachment 164703 [details]
bt with debug symbols (second case)
Comment 4 Julien Nabet 2020-08-26 09:11:46 UTC
I gave a try with:
https://gerrit.libreoffice.org/c/core/+/101391
Comment 5 Commit Notification 2020-08-27 15:55:13 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/be4fcac736fccce8ee7d4550a860b0127e7601bb

tdf#136133: AppendInfoBar can return null

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Julien Nabet 2020-08-27 15:55:57 UTC
Backport in 7.0 waiting for review here:
https://gerrit.libreoffice.org/c/core/+/101456
Comment 7 Commit Notification 2020-08-28 15:16:03 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/4db16b2dc835cce918623343b87eab6b067f3023

tdf#136133: AppendInfoBar can return null

It will be available in 7.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.